org.hibernate.validator.internal.metadata.raw

## Enum ConstrainedElement.ConstrainedElementKind

- java.lang.Object
- - java.lang.Enum<ConstrainedElement.ConstrainedElementKind>
  - - org.hibernate.validator.internal.metadata.raw.ConstrainedElement.ConstrainedElementKind

- All Implemented Interfaces:
    Serializable, Comparable<ConstrainedElement.ConstrainedElementKind>
  Enclosing interface:
    ConstrainedElement

      public static enum ConstrainedElement.ConstrainedElementKind
      extends Enum<ConstrainedElement.ConstrainedElementKind>

  The kind of a `ConstrainedElement`. Can be used to determine an element's type when traversing over a collection of constrained elements.
  Author:
    Gunnar Morling

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSTRUCTOR`
    `FIELD`
    `METHOD`
    `PARAMETER`
    `TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstrainedElement.ConstrainedElementKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstrainedElement.ConstrainedElementKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE

          public static final ConstrainedElement.ConstrainedElementKind TYPE

    - #### FIELD

          public static final ConstrainedElement.ConstrainedElementKind FIELD

    - #### CONSTRUCTOR

          public static final ConstrainedElement.ConstrainedElementKind CONSTRUCTOR

    - #### METHOD

          public static final ConstrainedElement.ConstrainedElementKind METHOD

    - #### PARAMETER

          public static final ConstrainedElement.ConstrainedElementKind PARAMETER

  - ### Method Detail

    - #### values

          public static ConstrainedElement.ConstrainedElementKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstrainedElement.ConstrainedElementKind c : ConstrainedElement.ConstrainedElementKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstrainedElement.ConstrainedElementKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved